Bug 116931 - Objects Anchored "To Cell, Resize with Cell", Move and Scale when Cell's Position is Changed
Summary: Objects Anchored "To Cell, Resize with Cell", Move and Scale when Cell's Posi...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.1.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Armin Le Grand (CIB)
URL:
Whiteboard: target:6.3.0 target:6.1.4 target:6.2.0.1
Keywords:
Depends on:
Blocks: Anchor-and-Text-Wrap
  Show dependency treegraph
 
Reported: 2018-04-10 20:05 UTC by Luke
Modified: 2018-11-26 10:51 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Luke 2018-04-10 20:05:16 UTC
Steps to reproduce.
1. In Calc, expand the height of B2 to make room for an image or shape
2. Insert a shape or image in B2
3. Set Anchor "To Cell, Resize with Cell"
4. right click -> Position and Size -> rotate by 45 deg.
5. Re-center the object in the cell. Confirm still anchored to B2.
6. Move B2's position by shrinking/expanding Column A or Row 1

Expected behavior
1. The Object says centered in its new location

Actual behavior
1. The Object moves and scales

Note: if you anchor instead "To Cell", the rotated object behaves as expected.
Comment 1 Armin Le Grand (CIB) 2018-11-21 08:44:19 UTC
Checked on master.
- has nothing to do with rotation
- needs indeed 'Anchor to Cell (resize with Cell)'
- Error as soon as interactive resize of col/row left/top of target is dragged into object - no problem when dragging close to object

Thus, to reproduce:
- extend B2
- create DrawObject in lower right
- set 'Anchor to Cell (resize with Cell)' in context menu at selected object
- drag col/row to extend A or 1
-> as soon as dragged over or into object, error
Comment 2 Commit Notification 2018-11-22 16:34:58 UTC
Armin Le Grand committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/10a58ec15438d34a594437815882862c4576e2c0%5E%21

tdf#116931 Fix scale when calc cells move indirectly

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Armin Le Grand (CIB) 2018-11-22 18:27:05 UTC
Che3cked after updating with the change included, all good
Comment 4 Commit Notification 2018-11-26 10:51:42 UTC
Armin Le Grand committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

https://git.libreoffice.org/core/+/24551cb78d4ae11101860ef98e9040a9105251df%5E%21

tdf#116931 Fix scale when calc cells move indirectly

It will be available in 6.1.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2018-11-26 10:51:52 UTC
Armin Le Grand committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/a63cd8bbe7cf881daa8dc7a7f32f3e5ac384e902%5E%21

tdf#116931 Fix scale when calc cells move indirectly

It will be available in 6.2.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.